use plugins::Plugin;
use toml::Table;

use Tenquestionmarks;

pub struct Hello {
    name: String
}

impl Hello {
    pub fn new (configuration: &Table) -> Box<Plugin> {
        let name = configuration.get("name")
                                .and_then(|value| value.as_str())
                                .unwrap_or("world");

        Box::new(Hello {
            name: String::from(name)
        })
    }
}

impl Plugin for Hello {
    fn register (&self, tenquestionmarks: &Tenquestionmarks) {
        println!("Hello, {}!", self.name);
    }
}
