use std::collections::HashMap;

use toml::Value;
use toml::Table;

pub mod hello;
pub mod lua;
pub mod discord;
pub mod stdin;
pub mod echo;

pub mod loader;

use Tenquestionmarks;
use event::Event;

use std::sync::mpsc::{Sender, Receiver};

pub trait Plugin : Sync {
    fn register (&self, tenquestionmarks: &Tenquestionmarks) {}
    fn on_event (&self, event: Event) {}
    fn run (&self, sender: Sender<Event>) {}
}
